%define modname apm
%define dirname %{modname}
%define soname %{modname}.so
%define inifile B10_%{modname}.ini

Summary: 	Alternative PHP Monitor
Name: 		php-%{modname}
Version: 	2.0.5
Release: 	%mkrel 1
Group: 		Development/PHP
License: 	PHP License
URL: 		http://pecl.php.net/package/APM/
Source0: 	http://pecl.php.net/get/APM-%{version}.tar.xz
Source1: 	B10_apm.ini
BuildRequires: 	sqlite3-devel
BuildRequires: 	mysql-devel
BuildRequires: 	php-devel >= 5.2.0
%global __requires_exclude pear\\((lib|setup).php\\)

%description
Monitoring extension for PHP, collects error events and store them in a local
SQLite database.

%prep

%setup -q -n APM-%{version}
[ "../package*.xml" != "/" ] && mv ../package*.xml .

cp %{SOURCE1} %{inifile}

%build
%serverbuild

export APM_SHARED_LIBADD="-lmysqlclient -lz -lsqlite3"
phpize
%configure2_5x \
    --with-libdir=%{_lib} \
    --with-sqlite3=%{_prefix} \
    --with-mysql=%{_prefix} \
    --with-zlib-dir=%{_prefix} \
    --enable-statsd \
    --enable-socket

# use the correct directory
echo "#define SQLITE3_DEFAULTDB \"/var/lib/php-apm\"" >> config.h

%make
mv modules/*.so .

%install
install -d %{buildroot}%{_libdir}/php/extensions
install -d %{buildroot}%{_sysconfdir}/php.d
install -d %{buildroot}/var/lib/php-apm

install -m0755 %{soname} %{buildroot}%{_libdir}/php/extensions/
install -m0644 %{inifile} %{buildroot}%{_sysconfdir}/php.d/%{inifile}

%files
%doc AUTHORS CONTRIBUTORS LICENSE NEWS README* package*.xml
%config(noreplace) %attr(0640,apache,apache) %{_sysconfdir}/php.d/%{inifile}
%attr(0755,root,root) %{_libdir}/php/extensions/%{soname}
%attr(0750,apache,apache) /var/lib/php-apm


%changelog
* Sun Dec 11 2016 bb <bb> 2.0.5-1pclos2017
- update

